<div class="content-wrapper">
  <svg class="grayscale page-icon" aria-hidden="true">
    <use xlink:href="#add_to_wishlist" />
  </svg>
</div>

<app-search-form [enableMyItems]="false" [enableColors]="false" [enableFeatures]="false" [enableKeywords]="false" [placeholder]="'MY_CLOSET.SEARCH.PLACEHOLDER' | translate"
  [sortable]="true">
  <details before>
    <summary>
      <span class="visualy-hidden">How to search</span>
      <span class="help-icon" aria-hidden="true">?</span>
    </summary>
    <div class="details-content">
      <p class="filter-top-text" id="criteria-select-description" [innerHTML]="'MY_WISHLIST.TOP.TEXT' | translate | safe:'html'"></p>
    </div>
  </details>
  <img src="/assets/images/filter-icon.svg" alt="Filter icon" aria-hidden="true" submit-icon>
</app-search-form>

<section uc-items [field]="'wishlist'" class="items-section" #ucItems="ucItems">
  <article *appItemTemplate="let item" res-item [item]="item">
    <app-uc-wishlist [item]="item"></app-uc-wishlist>
  </article>
  <p *appEmptyResult>No results</p>
</section>

<a [routerLink]="['/search']" app-button class="circle search-button" color="accent">
  <span class="visualy-hidden">{{ '' | translate }}</span>
  <svg aria-hidden="true">
    <use xlink:href="#search-add" />
  </svg>
</a>

<footer>
  <div class="mascot-wrapper">
    <svg [attr.aria-hidden]="footerEE === 0" class="bubble" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 588.49 378.95">
      <defs>
        <style>
          .bubble-1 {
            fill: var(--primary-shadow);
          }

          .bubble-2 {
            fill: var(--primary);
          }
        </style>
      </defs>
      <path class="bubble-1"
        d="M577.5,11.55c-13-13-30.27-11.07-32.34-10.81C268.75,2.13,67.25,3.69,44.33,4.17c-4.32.09-14.45.54-22.49,7.38-11.79,10-11.09,24.84-11,26.52V286.75a113.42,113.42,0,0,0,36.63,26.52c35.84,16,70.9,7.51,90.2,3.69,51.24-10.13,104.47-1,156.66-3.16,32.52-1.36,74.88-2.64,126-2.89a136.52,136.52,0,0,0,10.71,23.47,139.84,139.84,0,0,0,41,44.57c-.81-20.83,4.81-34.43,8.2-41A130.38,130.38,0,0,1,491,321.32c2.78-3.76,5.5-7.07,8-10l4,.07c25.14,16,54,15.94,70.95,1.31,9.44-8.15,13.08-19,14.58-26V38.07C588.45,35.21,588,22.08,577.5,11.55Z" />
      <path class="bubble-2"
        d="M540.13,0H37.5A37.5,37.5,0,0,0,0,37.5V286.18a37.5,37.5,0,0,0,37.5,37.5H414.7a112.28,112.28,0,0,0,5.5,10.14c16.54,27,40.35,39.87,51.88,45.13a69.29,69.29,0,0,1-3-37.5,67.47,67.47,0,0,1,6.32-17.77h64.73a37.5,37.5,0,0,0,37.5-37.5V37.5A37.5,37.5,0,0,0,540.13,0Z" />
      <foreignObject x="20" y="10" width="540" height="300">
        <p>
          <ng-container *ngIf="footerEE === 1 && ucItems.totalEstimatedPrice > 0">
            <span [innerHTML]="'MY_WISHLIST.FOOTER.ESTIMATED_PRICE' | translate:{price: ucItems.totalEstimatedPrice}"></span>
            <span class="kaomoji">[̲̅$̲̅(̲̅ ͡° ͜ʖ ͡°̲̅)̲̅$̲̅]</span>
          </ng-container>
          <ng-container *ngIf="footerEE === 1 && ucItems.totalEstimatedPrice === 0">
            <span [innerHTML]="'MY_WISHLIST.FOOTER.ESTIMATED_PRICE_ZERO' | translate"></span>
            <span class="kaomoji">[̲̅$̲̅(̲̅ ͡° ͜ʖ ͡°̲̅)̲̅$̲̅]</span>
          </ng-container>
        </p>
      </foreignObject>
    </svg>
    <img *ngIf="themeService.theme === 'sweet'" (click)="toggleFooterEE()" src="/assets/images/bear-sweet.svg" alt="Bear mascot">
    <img *ngIf="themeService.theme === 'gothic'" (click)="toggleFooterEE()" src="/assets/images/bear-gothic.svg" alt="Bear mascot">
    <img *ngIf="themeService.theme === 'classic'" (click)="toggleFooterEE()" src="/assets/images/bear-classic.svg" alt="Bear mascot">
  </div>
</footer>
